Subject: Re: Tracking #
From: "LLPS Customer Service" <[email-masked]>
To: "[AmaMax] Harris C." <[email-masked]>
Date: Tue, 3 Mar 2015 17:42:47 -0500

Hello Harris.
I just got off the phone with these folks and apparently we will not be getting our delivery today.  I called them over an hour ago and was first told that they would be here by 5 and then when I just called back, I was told that they were at another location running late.  Then they proceeded to tell me that the items have to be transferred to a "straight truck" and would not be delivered until tomorrow.  I guess the semi truck is too big to fit?  Anyway, I am not sure if you would want to touch base with them to find out what is needed for any future orders.  Hopefully they will make the delivery tomorrow.  Just keeping you in the loop.
Thank you,
Michael Bishop
Labor Law Poster Service

From: [AmaMax] Harris C. 
Sent: Thursday, February 26, 2015 7:04 PM
To: LLPS Customer Service 
Subject: Tracking #

Hi Michael

Tracking # 46890621-9 
R&L

Thanks, 

Harris Chan
Sr. Product & Logistics Manager
AmaMax - Houston TX 
(800-9299343 | Ext 2088 
Ê281-791-0429 

Celebrating 20+ Years of Amazing prices with Maximum Service 

** PLEASE BE AWARE THAT AS OF 12/15 WE HAVE MOVED to 10700 KINGHURST ST, Houston, TX, 77099. PLEASE UPDATE ALL SHIP TO AND BILL TO's IF NOT YET REVISED** Thanks!!!
This communication and any transmitted documents are intended to be confidential. If there is a problem with this transmission, please contact the sender. If the reader of this message is not the intended recipient, or the employee or agent responsible to deliver it to the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited.

"Do not compare yourself to others. If you do so, you are insulting yourself."